UIPlugin (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.hqu.server.session.UIPlugin class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.hqu.server.session
Class UIPlugin

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.hqu.server.session.UIPlugin

All Implemented Interfaces:
  java.io.Serializable

    public class UIPlugin

extends PersistedObject

See Also:
  Serialized Form

Constructor Summary
`protected` | `UIPlugin()`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getName()`
`java.lang.String` | `getPluginVersion()`
`java.util.Collection` | `getViews()`
`protected java.util.Collection` | `getViewsBag()`
`int` | `hashCode()`
`protected void` | `setName(java.lang.String name)`
`protected void` | `setPluginVersion(java.lang.String pluginVer)`
`protected void` | `setViewsBag(java.util.Collection v)`
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`get_version_, getId, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UIPlugin

    protected UIPlugin()

Method Detail

### getName

    public java.lang.String getName()

### setName

    protected void setName(java.lang.String name)

### getPluginVersion

    public java.lang.String getPluginVersion()

### setPluginVersion

    protected void setPluginVersion(java.lang.String pluginVer)

### getViews

    public java.util.Collection getViews()

### getViewsBag

    protected java.util.Collection getViewsBag()

### setViewsBag

    protected void setViewsBag(java.util.Collection v)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `PersistedObject`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `PersistedObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.